#include <Foundation/NSString.h>
@interface NSFramework_BioCocoa
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_BioCocoa
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"2"; }
static NSString *allClasses[] = {@"BCAminoAcid", @"BCAnnotation", @"BCAtom", @"BCCachedFastaFile", @"BCCachedSequenceFile", @"BCChain", @"BCCodon", @"BCCodonDNA", @"BCCodonRNA", @"BCDataMatrix", @"BCGeneticCode", @"BCMCP", @"BCNucleotide", @"BCNucleotideDNA", @"BCNucleotideRNA", @"BCParseSOFT", @"BCPlatform", @"BCPreferences", @"BCProteinStructure", @"BCResidue", @"BCSample", @"BCScoreMatrix", @"BCSecondaryStructure", @"BCSequence", @"BCSequenceAlignment", @"BCSequenceArray", @"BCSequenceCodon", @"BCSequenceReader", @"BCSequenceStructure", @"BCSequenceTool", @"BCSequenceWriter", @"BCSeries", @"BCSuffixArray", @"BCSuffixArrayUnionEnumerator", @"BCSymbol", @"BCSymbolSet", @"BCToolComplement", @"BCToolDigest", @"BCToolHydropathyCalculator", @"BCToolMassCalculator", @"BCToolSequenceFinder", @"BCToolSymbolCounter", @"BCToolTranslator", @"BCToolTranslatorDNA", @"MCPNode", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
